<!--
# SPDX-FileCopyrightText: 2018 yuzu Emulator Project
# SPDX-License-Identifier: GPL-2.0-or-later
# SPDX-FileCopyrightText: 2025 EDEN Emulator Project
# SPDX-License-Identifier: GPL-3.0-or-later
-->

<h1 align="center">
  <br>
  <a href="https://git.eden-emu.dev/eden-emu/eden"><img src="https://git.eden-emu.dev/eden-emu/eden/raw/commit/6ed4bcea0ddb70fe95cb03547eee8e5e70325859/dist/yuzu.svg" alt="Eden" width="200"></a>
  <br>
  <b>Eden</b>
  <br>
</h1>

<h4 align="center"><b>Eden</b> is the world's most popular, open-source, Nintendo Switch emulator forked from Yuzu emulator — started by the former Citron developer Camille LeVey and the Eden team</a>.
<br>
It is written in C++ with portability in mind, and we actively maintain builds for Windows, Linux and Android.
</h4>

<p align="center">
    </a>
     Discord is not yet public.
    </a>
</p>

<p align="center">
  <a href="#compatibility">Compatibility</a> |
  <a href="#development">Development</a> |
  <a href="#building">Building</a> |
  <a href="#download">Download</a> |
  <a href="#support">Support</a> |
  <a href="#license">License</a>
</p>

## Compatibility

The emulator is capable of running most commercial games at full speed, provided you meet the necessary hardware requirements.

For a list of games yuzu supports, please be patient as this will come eventually.

Check out our [website](W.I.P) for the latest news on exciting features, monthly progress reports, and more!

## Development

Most of the development happens on our git. It's also where [our central repository](https://git.eden-emu.dev/eden-emu/eden) is hosted. For development discussion, please wait join us on [Discord](W.I.P) once it's public.

If you want to contribute we are open to new devs and prs, please make sure your work is of a high standard and you have properly documented it.
You can also contact any of the developers on Discord in order to know about the current state of the emulator.

If you want to contribute to the user interface translation project, please check out the [yuzu project on transifex](https://www.transifex.com/yuzu-emulator/yuzu). We centralize translation work there, and periodically upstream translations.

## Building

* __Windows__: [Windows Building Guide](W.I.P)
* __Linux__: [Linux Building Guide](W.I.P)
* __Android__: [Android Building Guide](W.I.P)

## Download

You can download the latest releases from [here](https://git.eden-emu.dev/eden-emu/eden/releases) once public.


## Support

If you enjoy the project and want to support us financially, check out Camille's donations page!
<br>
<br>
       Donations are not available yet.
</a>

Any donations received will go towards things like:
* Switch consoles to explore and reverse-engineer the hardware
* Switch games for testing, reverse-engineering, and implementing new features
* Web hosting and infrastructure setup
* Software licenses (e.g. Visual Studio, IDA Pro, etc.)
* Additional hardware (e.g. GPUs as-needed to improve rendering support, other peripherals to add support for, etc.)

If you wish to support us a different way, please join our [Discord](W.I.P), once public, and talk to Camille.

## License

Eden is licensed under the GPLv3 (or any later version). Refer to the [LICENSE.txt](https://git.eden-emu.dev/eden-emu/eden/src/branch/master/LICENSE.txt) file.
